%define major 0
%define libname %mklibname %{name} %{major}
%define libdev %mklibname %{name} -d

Name:		ocsync
Summary:	The ownCloud Client
Version:	0.90.4
Release:	%mkrel 1
Group:		Archiving/Backup
License: 	GPLv2+
URL:		http://owncloud.org/sync-clients/
Source0:	http://download.owncloud.com/download/%{name}-%{version}.tar.bz2
BuildRequires:	iniparser-devel >= 3.1
BuildRequires:	cmake
Buildrequires:	sqlite3-devel
Buildrequires:	doxygen
Buildrequires:	check-devel
Buildrequires:	neon-devel
Buildrequires:	libsmbclient-devel
Obsoletes:	csync
Provides:	csync = %{version}-%{release}

%description
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%files 
%{_bindir}/%{name}
%{_sysconfdir}/%{name}
%{_mandir}/man1/%{name}.*
%{_libdir}/%{name}-0
%doc %{_docdir}/%{name}

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:    The ownCloud Client
Group:      System/Libraries

%description -n %{libname}
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libdev}
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake -DLOG_TO_CALLBACK=ON
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.a


%changelog
* Sun Oct 27 2013 neoclust <neoclust> 0.90.4-1.mga4
+ Revision: 547452
- New version

* Tue Oct 22 2013 umeabot <umeabot> 0.90.2-2.mga4
+ Revision: 544818
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 0.90.2-1.mga4
+ Revision: 496040
- 0.90.2

* Tue Sep 17 2013 neoclust <neoclust> 0.90.0-1.mga4
+ Revision: 480738
- New upstream version 0.90.0

* Sun Aug 25 2013 neoclust <neoclust> 0.80.0-1.mga4
+ Revision: 471774
- New version

* Tue Apr 30 2013 zezinho <zezinho> 0.70.7-1.mga4
+ Revision: 411606
- new bugfix version

* Tue Apr 23 2013 neoclust <neoclust> 0.70.6-1.mga3
+ Revision: 411003
- New version
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.60.1-2.mga3
+ Revision: 361781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 dams <dams> 0.60.1-1.mga3
+ Revision: 309651
- imported package ocsync

